import * as $dara from '@darabonba/typescript';
import { ModifyFullNatEntryAttributeResponseBody } from "./ModifyFullNatEntryAttributeResponseBody";
export declare class ModifyFullNatEntryAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyFullNatEntryAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
